org.springframework.shell

## Class CommandLine

- java.lang.Object
- - org.springframework.shell.CommandLine

-     public class CommandLine
      extends Object

  Encapsulates the list of argument passed to the shell.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLine(String[] args, int historySize, String[] shellCommandsToExecute)` Construct a new CommandLine
    `CommandLine(String[] args, int historySize, String[] shellCommandsToExecute, boolean disableInternalCommands)` Construct a new CommandLine

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getArgs()` Return the command line arguments
    `boolean` | `getDisableInternalCommands()`
    `int` | `getHistorySize()`
    `String[]` | `getShellCommandsToExecute()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandLine

          public CommandLine(String[] args,
                     int historySize,
                     String[] shellCommandsToExecute)

      Construct a new CommandLine
      Parameters:
        `args` - an array of strings from main(String[] args)
        `historySize` - the size of this history buffer
        `shellCommandsToExecute` - semi-colon delimited list of commands for the shell to execute

    - #### CommandLine

          public CommandLine(String[] args,
                     int historySize,
                     String[] shellCommandsToExecute,
                     boolean disableInternalCommands)

      Construct a new CommandLine
      Parameters:
        `args` - an array of strings from main(String[] args)
        `historySize` - the size of this history buffer
        `shellCommandsToExecute` - semi-colon delimited list of commands for the shell to execute
        `disableInternalCommands` - if true, do not load the built-in shell commands

  - ### Method Detail

    - #### getArgs

          public String[] getArgs()

      Return the command line arguments
      Returns:
        the command line arguments

    - #### getHistorySize

          public int getHistorySize()

      Returns:
        the historySize

    - #### getShellCommandsToExecute

          public String[] getShellCommandsToExecute()

      Returns:
        the shellCommandsToExecute

    - #### getDisableInternalCommands

          public boolean getDisableInternalCommands()

      Returns:
        the disableInternalCommands value